Skip to main content
`Ctrl`+`K`

# SNESSetSolution

Sets the solution vector for use by the `SNES` routines.

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESSetSolution(SNES snes, Vec u)

Logically Collective

## Input Parameters

- snes - the `SNES` context obtained from `SNESCreate()`

- u - the solution vector

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESSolve()`, `SNESGetSolution()`, `Vec`

## Level

beginner

## Location

src/snes/interface/snes.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages